Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetAttributes Class Reference

`#include <vtkDataSetAttributes.h>`

Inheritance diagram for vtkDataSetAttributes:

[legend]
Collaboration diagram for vtkDataSetAttributes:

[legend]
List of all members.

## Detailed Description

represent and manipulate attribute data in a dataset

Date:
  2002/12/26 18:24:21

Revision:
  1.54

vtkDataSetAttributes is a class that is used to represent and manipulate attribute data (e.g., scalars, vectors, normals, texture coordinates, tensors, and field data) Special methods are provided to work with filter objects, such as passing data through filter, copying data from one attribute set to another, and interpolating data given cell interpolation weights.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Geveci, Berk (47%)
  - Schroeder, Will (30%)
  - Law, Charles (5%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkDataSetAttributes.cxx)`
  - .`h` (`/Common/vtkDataSetAttributes.h)`

Examples:
  vtkDataSetAttributes (Examples)

Tests:
  vtkDataSetAttributes (Tests)

Definition at line 54 of file vtkDataSetAttributes.h.

## Public Types
typedef vtkFieldData | Superclass
enum | AttributeTypes { SCALARS = 0, VECTORS = 1, NORMALS = 2, TCOORDS = 3, TENSORS = 4, NUM_ATTRIBUTES }
enum | AttributeLimitTypes { MAX, EXACT, NOLIMIT }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Initialize ()
virtual void | Update ()
virtual void | PassData (vtkFieldData *fd)
void | CopyData (vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId)
virtual void | DeepCopy (vtkFieldData *pd)
virtual void | ShallowCopy (vtkFieldData *pd)
int | SetActiveAttribute (const char *name, int attributeType)
int | SetActiveAttribute (int index, int attributeType)
void | SetCopyAttribute (int index, int value)
virtual void | CopyAllOn ()
virtual void | CopyAllOff ()
void | GetAttributeIndices (int *indexArray)
int | IsArrayAnAttribute (int idx)
vtkDataArray * | GetAttribute (int attributeType)
virtual void | RemoveArray (const char *name)
void | CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000)
void | InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000)
void | CopyStructuredData (vtkDataSetAttributes *inDsa, const int *inExt, const int *outExt)
void | InterpolatePoint (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdList *ids, float *weights)
void | InterpolateEdge (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, float t)
void | InterpolateTime (vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, float t)
int | SetScalars (vtkDataArray *da)
int | SetActiveScalars (const char *name)
vtkDataArray * | GetScalars ()
int | SetVectors (vtkDataArray *da)
int | SetActiveVectors (const char *name)
vtkDataArray * | GetVectors ()
int | SetNormals (vtkDataArray *da)
int | SetActiveNormals (const char *name)
vtkDataArray * | GetNormals ()
int | SetTCoords (vtkDataArray *da)
int | SetActiveTCoords (const char *name)
vtkDataArray * | GetTCoords ()
int | SetTensors (vtkDataArray *da)
int | SetActiveTensors (const char *name)
vtkDataArray * | GetTensors ()
vtkDataArray * | GetScalars (const char *name)
vtkDataArray * | GetVectors (const char *name)
vtkDataArray * | GetNormals (const char *name)
vtkDataArray * | GetTCoords (const char *name)
vtkDataArray * | GetTensors (const char *name)
void | SetCopyScalars (int i)
int | GetCopyScalars ()
virtual void | CopyScalarsOn ()
virtual void | CopyScalarsOff ()
void | SetCopyVectors (int i)
int | GetCopyVectors ()
virtual void | CopyVectorsOn ()
virtual void | CopyVectorsOff ()
void | SetCopyNormals (int i)
int | GetCopyNormals ()
virtual void | CopyNormalsOn ()
virtual void | CopyNormalsOff ()
void | SetCopyTCoords (int i)
int | GetCopyTCoords ()
virtual void | CopyTCoordsOn ()
virtual void | CopyTCoordsOff ()
void | SetCopyTensors (int i)
int | GetCopyTensors ()
virtual void | CopyTensorsOn ()
virtual void | CopyTensorsOff ()
void | CopyTuple (vtkDataArray *fromData, vtkDataArray *toData, vtkIdType fromId, vtkIdType toId)
void | CopyAllocate (vtkDataSetAttributes::FieldList &list, vtkIdType sze=0, vtkIdType ext=1000)
void | CopyData (vtkDataSetAttributes::FieldList &list, vtkDataSetAttributes *dsa, int idx, vtkIdType fromId, vtkIdType toId)
## Static Public Methods
vtkDataSetAttributes * | New ()
int | IsTypeOf (const char *type)
vtkDataSetAttributes * | SafeDownCast (vtkObject *o)
const char * | GetAttributeTypeAsString (int attributeType)
## Protected Methods
| vtkDataSetAttributes ()
| ~vtkDataSetAttributes ()
void | InterpolateTuple (vtkDataArray *fromData, vtkDataArray *toData, vtkIdType toId, vtkIdList *ptIds, float *weights)
void | InterpolateTuple (vtkDataArray *fromData, vtkDataArray *toData, vtkIdType toId, vtkIdType id1, vtkIdType id2, float t)
void | InterpolateTuple (vtkDataArray *fromData1, vtkDataArray *fromData2, vtkDataArray *toData, vtkIdType id, float t)
virtual void | InitializeFields ()
virtual void | RemoveArray (int index)
## Protected Attributes
int | AttributeIndices [NUM_ATTRIBUTES]
int | CopyAttributeFlags [NUM_ATTRIBUTES]
vtkFieldData::BasicIterator | RequiredArrays
int * | TargetIndices
## Static Protected Attributes
const int | NumberOfAttributeComponents [NUM_ATTRIBUTES]
const int | AttributeLimits [NUM_ATTRIBUTES]
const char | AttributeNames [NUM_ATTRIBUTES][10]
## Friends
class | vtkDataSetAttributes::FieldList

## Member Typedef Documentation

typedef vtkFieldData vtkDataSetAttributes::Superclass

| Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData. Definition at line 60 of file vtkDataSetAttributes.h.

## Member Enumeration Documentation

enum vtkDataSetAttributes::AttributeTypes

  | Enumeration values:
  SCALARS |
  VECTORS |
  NORMALS |
  TCOORDS |
  TENSORS |
  NUM_ATTRIBUTES |
Definition at line 321 of file vtkDataSetAttributes.h.

enum vtkDataSetAttributes::AttributeLimitTypes

  | Enumeration values:
  MAX |
  EXACT |
  NOLIMIT |
Definition at line 331 of file vtkDataSetAttributes.h.

## Constructor & Destructor Documentation

vtkDataSetAttributes::vtkDataSetAttributes | ( |  | ) | `[protected]`

vtkDataSetAttributes::~vtkDataSetAttributes | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataSetAttributes* vtkDataSetAttributes::New | ( |  | ) | `[static]`

| Construct object with copying turned on for all data. Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

virtual const char* vtkDataSetAttributes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

int vtkDataSetAttributes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

virtual int vtkDataSetAttributes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

vtkDataSetAttributes* vtkDataSetAttributes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

void vtkDataSetAttributes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkFieldData. Reimplemented in vtkCellData, and vtkPointData.

virtual void vtkDataSetAttributes::Initialize | ( |  | ) | `[virtual]`

| Initialize all of the object's data to NULL Also, clear the copy flags. Reimplemented from vtkFieldData.

virtual void vtkDataSetAttributes::Update | ( |  | ) | `[inline, virtual]`

| Attributes have a chance to bring themselves up to date; right now this is ignored. Definition at line 69 of file vtkDataSetAttributes.h.

virtual void vtkDataSetAttributes::PassData | ( | vtkFieldData * | fd | ) | `[virtual]`

| Pass entire arrays of input data through to output. Obey the "copy" flags. When passing a field, the following copying rules are followed: 1) Check if a field is an attribute, if yes and if there is a copy flag for that attribute (on or off), obey the flag for that attribute, ignore (2) and (3), 2) if there is a copy field for that field (on or off), obey the flag, ignore (3) 3) obey CopyAllOn/Off Reimplemented from vtkFieldData.

void vtkDataSetAttributes::CopyAllocate | ( | vtkDataSetAttributes * | pd,
|  | vtkIdType | sze = 0,
|  | vtkIdType | ext = 1000
| ) |

| Allocates point data for point-by-point (or cell-by-cell) copy operation. If sze=0, then use the input DataSetAttributes to create (i.e., find initial size of) new objects; otherwise use the sze variable. Note that pd HAS to be the vtkDataSetAttributes object which will later be used with CopyData. If this is not the case, consider using the alternative forms of CopyAllocate and CopyData. ext is no longer used.

void vtkDataSetAttributes::CopyData | ( | vtkDataSetAttributes * | fromPd,
|  | vtkIdType | fromId,
|  | vtkIdType | toId
| ) |

| Copy the attribute data from one id to another. Make sure CopyAllocate() has been invoked before using this method. When copying a field, the following copying rules are followed: 1) Check if a field is an attribute, if yes and if there is a copy flag for that attribute (on or off), obey the flag for that attribute, ignore (2) and (3), 2) if there is a copy field for that field (on or off), obey the flag, ignore (3) 3) obey CopyAllOn/Off

void vtkDataSetAttributes::InterpolateAllocate | ( | vtkDataSetAttributes * | pd,
|  | vtkIdType | sze = 0,
|  | vtkIdType | ext = 1000
| ) |

| Initialize point interpolation method. Note that pd HAS to be the vtkDataSetAttributes object which will later be used with InterpolatePoint or InterpolateEdge. ext is no longer used.

void vtkDataSetAttributes::CopyStructuredData | ( | vtkDataSetAttributes * | inDsa,
|  | const int * | inExt,
|  | const int * | outExt
| ) |

| This method is used to copy data arrays in images. You should not call "CopyAllocate" before calling this method. This method is called once to copy all of the data. If the two extents are the same, this method calls "PassData".

void vtkDataSetAttributes::InterpolatePoint | ( | vtkDataSetAttributes * | fromPd,
|  | vtkIdType | toId,
|  | vtkIdList * | ids,
|  | float * | weights
| ) |

| Interpolate data set attributes from other data set attributes given cell or point ids and associated interpolation weights.

void vtkDataSetAttributes::InterpolateEdge | ( | vtkDataSetAttributes * | fromPd,
|  | vtkIdType | toId,
|  | vtkIdType | p1,
|  | vtkIdType | p2,
|  | float | t
| ) |

| Interpolate data from the two points p1,p2 (forming an edge) and an interpolation factor, t, along the edge. The weight ranges from (0,1), with t=0 located at p1. Make sure that the method InterpolateAllocate() has been invoked before using this method.

void vtkDataSetAttributes::InterpolateTime | ( | vtkDataSetAttributes * | from1,
|  | vtkDataSetAttributes * | from2,
|  | vtkIdType | id,
|  | float | t
| ) |

| Interpolate data from the same id (point or cell) at different points in time (parameter t). Two input data set attributes objects are input. The parameter t lies between (0<=t<=1). IMPORTANT: it is assumed that the number of attributes and number of components is the same for both from1 and from2, and the type of data for from1 and from2 are the same. Make sure that the method InterpolateAllocate() has been invoked before using this method.

virtual void vtkDataSetAttributes::DeepCopy | ( | vtkFieldData * | pd | ) | `[virtual]`

| Deep copy of data (i.e., create new data arrays and copy from input data). Reimplemented from vtkFieldData.

virtual void vtkDataSetAttributes::ShallowCopy | ( | vtkFieldData * | pd | ) | `[virtual]`

| Shallow copy of data (i.e., use reference counting). Reimplemented from vtkFieldData.

int vtkDataSetAttributes::SetScalars | ( | vtkDataArray * | da | ) |

| Set/Get the scalar data.

int vtkDataSetAttributes::SetActiveScalars | ( | const char * | name | ) |

| Set/Get the scalar data.

vtkDataArray* vtkDataSetAttributes::GetScalars | ( |  | ) |

| Set/Get the scalar data.

int vtkDataSetAttributes::SetVectors | ( | vtkDataArray * | da | ) |

| Set/Get the vector data.

int vtkDataSetAttributes::SetActiveVectors | ( | const char * | name | ) |

| Set/Get the vector data.

vtkDataArray* vtkDataSetAttributes::GetVectors | ( |  | ) |

| Set/Get the vector data.

int vtkDataSetAttributes::SetNormals | ( | vtkDataArray * | da | ) |

| Set/get the normal data.

int vtkDataSetAttributes::SetActiveNormals | ( | const char * | name | ) |

| Set/get the normal data.

vtkDataArray* vtkDataSetAttributes::GetNormals | ( |  | ) |

| Set/get the normal data.

int vtkDataSetAttributes::SetTCoords | ( | vtkDataArray * | da | ) |

| Set/Get the texture coordinate data.

int vtkDataSetAttributes::SetActiveTCoords | ( | const char * | name | ) |

| Set/Get the texture coordinate data.

vtkDataArray* vtkDataSetAttributes::GetTCoords | ( |  | ) |

| Set/Get the texture coordinate data.

int vtkDataSetAttributes::SetTensors | ( | vtkDataArray * | da | ) |

| Set/Get the tensor data.

int vtkDataSetAttributes::SetActiveTensors | ( | const char * | name | ) |

| Set/Get the tensor data.

vtkDataArray* vtkDataSetAttributes::GetTensors | ( |  | ) |

| Set/Get the tensor data.

vtkDataArray* vtkDataSetAttributes::GetScalars | ( | const char * | name | ) |

| This will first look for an array with the correct name. If one exists, it is returned. Otherwise, the name argument is ignored, and the active attribute is returned.

vtkDataArray* vtkDataSetAttributes::GetVectors | ( | const char * | name | ) |

| This will first look for an array with the correct name. If one exists, it is returned. Otherwise, the name argument is ignored, and the active attribute is returned.

vtkDataArray* vtkDataSetAttributes::GetNormals | ( | const char * | name | ) |

| This will first look for an array with the correct name. If one exists, it is returned. Otherwise, the name argument is ignored, and the active attribute is returned.

vtkDataArray* vtkDataSetAttributes::GetTCoords | ( | const char * | name | ) |

| This will first look for an array with the correct name. If one exists, it is returned. Otherwise, the name argument is ignored, and the active attribute is returned.

vtkDataArray* vtkDataSetAttributes::GetTensors | ( | const char * | name | ) |

| This will first look for an array with the correct name. If one exists, it is returned. Otherwise, the name argument is ignored, and the active attribute is returned.

int vtkDataSetAttributes::SetActiveAttribute | ( | const char * | name,
|  | int | attributeType
| ) |

| Make the array with the given name the active attribute. Attribute types are: vtkDataSetAttributes::SCALARS = 0 vtkDataSetAttributes::VECTORS = 1 vtkDataSetAttributes::NORMALS = 2 vtkDataSetAttributes::TCOORDS = 3 vtkDataSetAttributes::TENSORS = 4 Returns the index of the array if succesful, -1 if the array is not in the list of arrays.

int vtkDataSetAttributes::SetActiveAttribute | ( | int | index,
|  | int | attributeType
| ) |

| Make the array with the given index the active attribute.

void vtkDataSetAttributes::SetCopyAttribute | ( | int | index,
|  | int | value
| ) |

| Specify whether to copy the data attribute referred to by index i.

void vtkDataSetAttributes::SetCopyScalars | ( | int | i | ) |

| Turn on/off the copying of scalar data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

int vtkDataSetAttributes::GetCopyScalars | ( |  | ) |

| Turn on/off the copying of scalar data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyScalarsOn | ( |  | ) | `[virtual]`

| Turn on/off the copying of scalar data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyScalarsOff | ( |  | ) | `[virtual]`

| Turn on/off the copying of scalar data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

void vtkDataSetAttributes::SetCopyVectors | ( | int | i | ) |

| Turn on/off the copying of vector data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

int vtkDataSetAttributes::GetCopyVectors | ( |  | ) |

| Turn on/off the copying of vector data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyVectorsOn | ( |  | ) | `[virtual]`

| Turn on/off the copying of vector data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyVectorsOff | ( |  | ) | `[virtual]`

| Turn on/off the copying of vector data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

void vtkDataSetAttributes::SetCopyNormals | ( | int | i | ) |

| Turn on/off the copying of normals data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

int vtkDataSetAttributes::GetCopyNormals | ( |  | ) |

| Turn on/off the copying of normals data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyNormalsOn | ( |  | ) | `[virtual]`

| Turn on/off the copying of normals data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyNormalsOff | ( |  | ) | `[virtual]`

| Turn on/off the copying of normals data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

void vtkDataSetAttributes::SetCopyTCoords | ( | int | i | ) |

| Turn on/off the copying of texture coordinates data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

int vtkDataSetAttributes::GetCopyTCoords | ( |  | ) |

| Turn on/off the copying of texture coordinates data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyTCoordsOn | ( |  | ) | `[virtual]`

| Turn on/off the copying of texture coordinates data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyTCoordsOff | ( |  | ) | `[virtual]`

| Turn on/off the copying of texture coordinates data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

void vtkDataSetAttributes::SetCopyTensors | ( | int | i | ) |

| Turn on/off the copying of tensor data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

int vtkDataSetAttributes::GetCopyTensors | ( |  | ) |

| Turn on/off the copying of tensor data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyTensorsOn | ( |  | ) | `[virtual]`

| Turn on/off the copying of tensor data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyTensorsOff | ( |  | ) | `[virtual]`

| Turn on/off the copying of tensor data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkDataSetAttributes::CopyAllOn | ( |  | ) | `[virtual]`

| Turn on copying of all data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array Reimplemented from vtkFieldData.

virtual void vtkDataSetAttributes::CopyAllOff | ( |  | ) | `[virtual]`

| Turn off copying of all data. During the copy/pass, the following rules are followed for each array: 1. If the copy flag for an attribute is set (on or off), it is applied. This overrides rules 2 and 3. 2. If the copy flag for an array is set (on or off), it is applied This overrides rule 3. 3. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array Reimplemented from vtkFieldData.

void vtkDataSetAttributes::CopyTuple | ( | vtkDataArray * | fromData,
|  | vtkDataArray * | toData,
|  | vtkIdType | fromId,
|  | vtkIdType | toId
| ) |

| Copy a tuple of data from one data array to another. This method (and following ones) assume that the fromData and toData objects are of the same type, and have the same number of components. This is true if you invoke CopyAllocate() or InterpolateAllocate().

void vtkDataSetAttributes::GetAttributeIndices | ( | int * | indexArray | ) |

| Get the field data array indices corresponding to scalars, vectors, tensors, etc.

int vtkDataSetAttributes::IsArrayAnAttribute | ( | int | idx | ) |

| Determine whether a data array of index idx is considered a data set attribute (i.e., scalar, vector, tensor, etc). Return less-than zero if it is, otherwise an index 0<=idx<NUM_ATTRIBUTES to indicate which attribute.

vtkDataArray* vtkDataSetAttributes::GetAttribute | ( | int | attributeType | ) |

| Return an attribute given the attribute type (see vtkDataSetAttributes::AttributeTypes).

virtual void vtkDataSetAttributes::RemoveArray | ( | const char * | name | ) | `[virtual]`

| Remove an array (with the given name) from the list of arrays. Reimplemented from vtkFieldData.

const char* vtkDataSetAttributes::GetAttributeTypeAsString | ( | int | attributeType | ) | `[static]`

| Given an integer attribute type, this static method returns a string type for the attribute (i.e. type = 0: returns "Scalars").

void vtkDataSetAttributes::CopyAllocate | ( | vtkDataSetAttributes::FieldList & | list,
|  | vtkIdType | sze = 0,
|  | vtkIdType | ext = 1000
| ) |

| A special form of CopyAllocate() to be used with FieldLists. Use it when you are copying data from a set of vtkDataSetAttributes.

void vtkDataSetAttributes::CopyData | ( | vtkDataSetAttributes::FieldList & | list,
|  | vtkDataSetAttributes * | dsa,
|  | int | idx,
|  | vtkIdType | fromId,
|  | vtkIdType | toId
| ) |

| A special form of CopyData() to be used with FieldLists. Use it when you are copying data from a set of vtkDataSetAttributes. Make sure that you have called the special form of CopyAllocate that accepts FieldLists.

void vtkDataSetAttributes::InterpolateTuple | ( | vtkDataArray * | fromData,
|  | vtkDataArray * | toData,
|  | vtkIdType | toId,
|  | vtkIdList * | ptIds,
|  | float * | weights
| ) | `[protected]`

void vtkDataSetAttributes::InterpolateTuple | ( | vtkDataArray * | fromData,
|  | vtkDataArray * | toData,
|  | vtkIdType | toId,
|  | vtkIdType | id1,
|  | vtkIdType | id2,
|  | float | t
| ) | `[protected]`

void vtkDataSetAttributes::InterpolateTuple | ( | vtkDataArray * | fromData1,
|  | vtkDataArray * | fromData2,
|  | vtkDataArray * | toData,
|  | vtkIdType | id,
|  | float | t
| ) | `[protected]`

virtual void vtkDataSetAttributes::InitializeFields | ( |  | ) | `[protected, virtual]`

| Initialize all of the object's data to NULL Reimplemented from vtkFieldData.

virtual void vtkDataSetAttributes::RemoveArray | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkFieldData.

## Friends And Related Function Documentation

friend class vtkDataSetAttributes::FieldList`[friend]`

| Definition at line 357 of file vtkDataSetAttributes.h.

## Member Data Documentation

int vtkDataSetAttributes::AttributeIndices[NUM_ATTRIBUTES]`[protected]`

| Definition at line 375 of file vtkDataSetAttributes.h.

int vtkDataSetAttributes::CopyAttributeFlags[NUM_ATTRIBUTES]`[protected]`

| Definition at line 376 of file vtkDataSetAttributes.h.

vtkFieldData::BasicIterator vtkDataSetAttributes::RequiredArrays`[protected]`

| Definition at line 379 of file vtkDataSetAttributes.h.

int* vtkDataSetAttributes::TargetIndices`[protected]`

| Definition at line 382 of file vtkDataSetAttributes.h.

const int vtkDataSetAttributes::NumberOfAttributeComponents[NUM_ATTRIBUTES]`[static, protected]`

| Definition at line 386 of file vtkDataSetAttributes.h.

const int vtkDataSetAttributes::AttributeLimits[NUM_ATTRIBUTES]`[static, protected]`

| Definition at line 387 of file vtkDataSetAttributes.h.

const char vtkDataSetAttributes::AttributeNames[NUM_ATTRIBUTES][10]`[static, protected]`

| Definition at line 388 of file vtkDataSetAttributes.h.

The documentation for this class was generated from the following file:

- Common/vtkDataSetAttributes.h